server:
  port: 8080

eureka:
  client:
    service-url:
      defaultZone: http://localhost:8761/eureka/

gateway:
  security:
    frontend-origin: ${FRONTEND_ORIGIN}

spring:
  application:
    name: gateway
  datasource:
    url: jdbc:postgresql://localhost:5432/rheinsw_dev
    username: rheinsw
    password: rheinsw
  jpa:
    hibernate:
      ddl-auto: none
    show-sql: true
    properties:
      hibernate:
        format_sql: true
  cloud:
    gateway:
      routes:
        - id: contactService
          uri: lb://contactService
          predicates:
            - Path=/api/contact/**
          filters:
            - StripPrefix=1
        - id: mailService
          uri: lb://mailService
          predicates:
            - Path=/api/mail/**
          filters:
            - StripPrefix=1